[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: 3rd party dependencies

From: Ulrich Eckhardt <eckhardt_at_satorlaser.com>
Date: 2004-11-05 08:37:06 CET

Filip Moritz wrote:
> In Debian the libsvn0 package depends, besides others, on libperl5.8 and
> python2.3. I assume those are dependencies of the build system, not
> necessary for the binaries, but I'm not sure.

Easy: just run 'dpkg -L libsvn0' and you will see that that lib also contains
the perl and python bindings. IOW, you could probably force it to install
without Python or Perl and still run the svn executable, but those bindings
would break.

> Can someone give me confidence? I don't want to file a stupid bug report.

File a wishlist bug that libsvn be split, so you can install it independently
from Perl and Python (I assume that's what you want).

Uli

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Fri Nov 5 08:37:44 2004

This is an archived mail posted to the Subversion Users mailing list.